Package com.pixelmed.dicom

# Class ImageReference

java.lang.Object
com.pixelmed.dicom.SOPInstanceReference
com.pixelmed.dicom.ImageReference

public class ImageReference extends SOPInstanceReference

A class to represent a non-hierarchical image reference.

## Field Summary

Fields
Modifier and Type
Field
Description
`protected String`
`referencedFrameNumber`

### Fields inherited from class com.pixelmed.dicom.SOPInstanceReference

`sopClassUID, sopInstanceUID`

## Constructor Summary

Constructors
Constructor
Description
`ImageReference(SOPInstanceReference instanceReference)`
Construct an instance of a reference to an image.
`ImageReference(SOPInstanceReference instanceReference, String referencedFrameNumber)`
Construct an instance of a reference to an image.
`ImageReference(String sopInstanceUID, String sopClassUID)`
Construct an instance of a reference to an image.
`ImageReference(String sopInstanceUID, String sopClassUID, String referencedFrameNumber)`
Construct an instance of a reference to an image.

## Method Summary

Modifier and Type
Method
Description
`String`
`getReferencedFrameNumber()`
Get the Referenced Frame Number.
`String`
`toString()`

### Methods inherited from class com.pixelmed.dicom.SOPInstanceReference

`getSOPClassUID, getSOPInstanceUID`

### Methods inherited from class java.lang.Object

`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### referencedFrameNumber

protected String referencedFrameNumber

## Constructor Details

### ImageReference

public ImageReference(String sopInstanceUID, String sopClassUID)

Construct an instance of a reference to an image.

Parameters:
  `sopInstanceUID` - the SOP Instance UID
  `sopClassUID` - the SOP Class UID

### ImageReference

public ImageReference(String sopInstanceUID, String sopClassUID, String referencedFrameNumber)

Construct an instance of a reference to an image.

Parameters:
  `sopInstanceUID` - the SOP Instance UID
  `sopClassUID` - the SOP Class UID
  `referencedFrameNumber` - the Referenced Frame Number

### ImageReference

public ImageReference(SOPInstanceReference instanceReference, String referencedFrameNumber)

Construct an instance of a reference to an image.

Parameters:
  `instanceReference` - an existing `SOPInstanceReference` for this image
  `referencedFrameNumber` - the Referenced Frame Number

### ImageReference

public ImageReference(SOPInstanceReference instanceReference)

Construct an instance of a reference to an image.

Parameters:
  `instanceReference` - an existing `SOPInstanceReference` for this image

## Method Details

### getReferencedFrameNumber

public String getReferencedFrameNumber()

Get the Referenced Frame Number.

Returns:
  the Referenced Frame Number, or null

### toString

public String toString()

Overrides:
  `toString` in class `SOPInstanceReference`